Ticket #43009

only_real_fight_makes_veteran

Eröffnet am: 2021-10-10 00:23 Letztes Update: 2021-10-30 17:37

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
3

Details

In https://www.hostedredmine.com/issues/809590#note-7 bard says:

"However, I was missing a way to prevent promotions when the defending unit has defense 0 (or no way to damage the attacker)."

I think that natural way to do this is to introduce new "only_real_fight_makes_veteran" setting alongside the existing "only_killing_makes_veteran".

Ticket-Verlauf (3/9 Historien)

2021-10-10 00:23 Aktualisiert von: cazfi
  • New Ticket "only_real_fight_makes_veteran" created
2021-10-10 00:50 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
2021-10-10 02:57 Aktualisiert von: bard
Kommentar

I like it. Thank you. I'll try to test it.

2021-10-18 09:21 Aktualisiert von: cazfi
  • Lösung Update from Accepted to Keine
Kommentar

master version of rulesave.c should add the comment, but does not (comments.c part has been made, the only thing missing is call from rulesave.c)

2021-10-19 08:25 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

New version for master, with proper saving of the ruleset comment in rulesave.

2021-10-30 17:37 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden